version: "3.8"

services:
  idoc-transfer-service:

    build:
      context: .
      dockerfile: Dockerfile

    # need to push the image to our registry:
    #image: ceco-registry/idoc-transfer-service:latest

    container_name: idoc-transfer-service
    restart: always

    environment:
      # Server
      - SERVICE_PORT=8080

      # Auth0 credentials
      - SERVICE_AUTH0_CLIENT_ID=27eipUk1ZzHH1BTUqI37IoaCmOs9tNA8
      - SERVICE_AUTH0_CLIENT_SECRET=dbmXKJZt3E1dZQ8PD-mhNmduZEqCfqbecv-ETYvCX9iPrxDwQosUqlpkxP6023nb
      - SERVICE_AUTH0_AUDIENCE=https://idoc-csc-dev.coremannet.app
      - SERVICE_AUTH0_TOKEN_URL=https://c-eco-dev.eu.auth0.com/oauth/token

      # External API endpoint
      - SERVICE_XML_ENDPOINT=https://idoc-csc-dev.coremannet.app/api/idoc

    volumes:
      # Replace ./data/... with wherever you want to store these on the host
      - ./its/new:/opt/its/new
      - ./its/error:/opt/its/error
      - ./its/archive:/opt/its/archive

    networks:
      - idoc-net

networks:
  idoc-net:
    driver: bridge
